## gate.gui
Class AnnotDiffDialog.DiffRunner

    java.lang.Object
      |
      +--gate.gui.AnnotDiffDialog.DiffRunner

All Implemented Interfaces:
  Runnable

Enclosing class:
  AnnotDiffDialog

class AnnotDiffDialog.DiffRunner
extends Object
implements Runnable

Inner class used to run an annot. diff in a new thread

Constructor Summary
`AnnotDiffDialog.DiffRunner()` Constructor

Method Summary
`void` `run()` This method is overridden in order to implement the needed behaviour

Methods inherited from class java.lang.Object
`<clinit>, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Constructor Detail

### AnnotDiffDialog.DiffRunner

    public AnnotDiffDialog.DiffRunner()

  Constructor

Method Detail

### run

    public void run()

  This method is overridden in order to implement the needed behaviour
  Specified by:
    `run` in interface `Runnable`